cc.FileUtils:getInstance():addSearchPath("src")
cc.FileUtils:getInstance():addSearchPath("res")

CC_USE_DEPRECATED_API = true

require "cocos.init"

-- cclog
local cclog = function(...)
    print(string.format(...))
end

-- for CCLuaEngine traceback
function __G__TRACKBACK__(msg)
    cclog("----------------------------------------")
    cclog("LUA ERROR: " .. tostring(msg) .. "\n")
    cclog(debug.traceback())
    cclog("----------------------------------------")
    return msg
end

local function main()
    collectgarbage("collect")
    -- avoid memory leak
    collectgarbage("setpause", 100)
    collectgarbage("setstepmul", 5000)
    
    if cc.Application:getInstance():getTargetPlatform() == cc.PLATFORM_OS_WINDOWS then
        xx.Bridge:getInstance():CreateUpdateDir()
        cc.FileUtils:getInstance():addSearchPath("update",true)
        xx.Bridge:getInstance():CreateSaveDir()
    else
        local updatepath = xx.Bridge:getInstance():CreateUpdateDir()
        cc.FileUtils:getInstance():addSearchPath(updatepath,true)
        xx.Bridge:getInstance():CreateSaveDir()
    end
    
    require("xxapp.Version")
    Version:loadVersion()
    Version:loadRes()

    -- initialize director
    --local director = cc.Director:getInstance()

    --turn on display FPS
    --director:setDisplayStats(true)

    --set FPS. the default value is 1.0/60 if you don't call this

    
    require("xxscene.SceneManager")
    SceneManager.initDisplay()
    SceneManager.gotoScene(EnumScene.SceneLogo)
    
    --create scene 
--    local scene = require("GameScene")
--    local gameScene = scene.create()
--    gameScene:playBgMusic()
--    
--    if cc.Director:getInstance():getRunningScene() then
--        cc.Director:getInstance():replaceScene(gameScene)
--    else
--        cc.Director:getInstance():runWithScene(gameScene)
--    end


end


local status, msg = xpcall(main, __G__TRACKBACK__)
if not status then
    error(msg)
end

--DEBUGPC = true