Version = {
ClientVersion=0,
ResVersion=0,
BaseVersion=0,
ResListPackage=0,
BasePackage=0,
PackageList=0,
}

function Version:loadVersion()
    local version,vu,vb,vut,vbt,vertable
    Version.ClientVersion = xx.Bridge:getInstance():ClientVersion()
	vu = cc.FileUtils:getInstance():getStringFromFile("resupdate")
	vb = cc.FileUtils:getInstance():getStringFromFile("resver")
	local cjson = require "json"
	if vu and vu~="" then
	   vut = cjson.decode(vu)
	end
	vbt = cjson.decode(vb)
    if vut and vut[Version.ClientVersion] then
	   vertable = vut
	else
	   vertable = vbt
	end
	Version.ResVersion = vertable[Version.ClientVersion]["resver"]
	Version.BaseVersion = vertable[Version.ClientVersion]["basever"]
	Version.BasePackage = vertable[Version.ClientVersion]["baseres"]
	Version.ResListPackage = vertable[Version.ClientVersion]["reslistpkg"]
	Version.PackageList = vertable[Version.ClientVersion]["pkglist"][Version.ResVersion]
end

function Version:loadRes()
	if Version.ResVersion == Version.BaseVersion then
		xx.Bridge:getInstance():LoadResList(Version.ResListPackage,true)
	else
		xx.Bridge:getInstance():LoadResList(Version.ResListPackage,false)
	end
	for k,v in pairs(Version.PackageList) do
		if v[1] == Version.ResListPackage then
		elseif v[1] == Version.BasePackage then
			xx.Bridge:getInstance():LoadPack(v[1],true)
		else
			xx.Bridge:getInstance():LoadPack(v[1],false)
		end
	end
end

function Version:getVersion()
	return Version.ClientVersion.."."..Version.ResVersion
end